Don't have Telegram yet? Try it now!
https://gbhackers.com/7-zip-security-vulnerability/
Critical Security Vulnerability Affects All the Versions of 7-Zip Prior to 18.05